import { Button, Result } from 'antd';
import React from 'react';
import { history } from 'umi';

const NoFoundPage: React.FC<{}> = () => (
  <div style={{ textAlign: 'center', paddingBottom: 50 }}>
    <Result
      status="403"
      // title="403"
      subTitle=""
    >
      <div className="desc">
        <span style={{ color: '#f00', textTransform: 'capitalize' }}>
          Sorry, you are not authorized to access this page.
        </span>
      </div>
    </Result>
    <Button type="primary" onClick={() => history.push('/')}>
      Back Home
    </Button>
  </div>
);

export default NoFoundPage;
