import React, { useState, useEffect } from 'react';
import { Result, Button, message } from 'antd';

import { connect, history } from 'umi';

const module = 'User';
const ResultPageFailed = () => {
  const [resultId, setResultId] = useState('');
  const [flag, setFlag] = useState(true);
  const backPage = () => {
    history.go(-1);
  };

  useEffect(() => {
    const id = localStorage.getItem('userInfo') || '';
    setResultId(JSON.parse(id).userModel.id);
  }, []);

  const handleDownload = () => {
    if (flag) {
      setFlag(false);
    } else {
      message.success('The file has been downloaded successfully');
    }
  };

  return (
    <div style={{ width: '100%', minWidth: 1020, padding: 34, backgroundColor: '#ffffff' }}>
      <Result
        status="error"
        title="Error submit the file!"
        subTitle={<p>server has been handled it ,please try again or back.</p>}
        extra={[
          <Button type="primary" key="ok" onClick={handleDownload}>
            {flag ? (
              /* <a href={'http://192.168.1.28:8651/tos/excel/down?operator_id=' + resultId}>
                Download
                </a> */
              <a href={'http://47.74.233.180:8651/tos/excel/down?operator_id=' + resultId}>
                Download
              </a>
            ) : (
              'Download'
            )}
          </Button>,
          <Button key="back" onClick={backPage}>
            Back
          </Button>,
        ]}
      />
    </div>
  );
};

function map(state: any) {
  const { Data } = state[module];
  return { Data };
}
export default connect(map)(ResultPageFailed);
